> ## Documentation Index
> Fetch the complete documentation index at: https://docs.memmachine.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Health Check

> Health check endpoint to verify server is running.



## OpenAPI

````yaml /platform.openapi.json get /health
openapi: 3.0.4
info:
  description: >-
    Public REST API for the MemMachine memory system. Manages projects and
    memories.
  title: MemMachine Public API
  version: 0.1.0
servers:
  - url: https://api.memmachine.ai
security:
  - BearerAuth: []
tags:
  - name: Projects
  - name: Memories
  - name: Metrics
  - name: Health
paths:
  /health:
    get:
      tags:
        - Health
      summary: Health Check
      description: Health check endpoint to verify server is running.
      operationId: HealthCheck
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                title: Response Health Check Api V2 Health Get
                type: object
          description: Successful Response
        default:
          $ref: '#/components/responses/UnexpectedError'
      security: []
components:
  responses:
    UnexpectedError:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Unexpected error.
  schemas:
    Error:
      properties:
        code:
          description: Error code.
          format: int32
          type: integer
        message:
          description: Error message.
          type: string
      required:
        - code
        - message
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````